Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

[SOLVED - DON'T DO ON QT5] Selecting "Qt Version" in Creator while setting up Qt5 for QNX



  • Hi All,

    After various problems already encountered, I have this major issue.
    I am trying to do the following:
    Developing a simple gui application on QT5 that I want to deploy on an x86 target pc running qnx Neutrino 6.5.0 (it's just one widget). The details to do that are in:
    http://qt-project.org/doc/qtcreator-2.7/creator-developing-generic-linux.html

    I encounter a problem when trying to select a "QT version" on "QT creator" which is step 2 of the mentioned procedure above. This is because my host development machine is WIndows XP (therefore I am using QT for WIN2010 and the related "Qt 5.0.2 MSVC2010 32bit" as my qt version).

    Is there a way to resolve this inconsistency?

    Do I need to install a QT version for qnx or an embedded device too, on my windows host and select that from the Otpions in Creator? Would this work?

    If so, where do I find such an item for Qt5?

    Many Thanks for your help




Log in to reply